diff --git a/test/unit/tui/snapshot_test.rb b/test/unit/tui/snapshot_test.rb
index 9c762b2..0a250ed 100644
--- a/test/unit/tui/snapshot_test.rb
+++ b/test/unit/tui/snapshot_test.rb
@@ -40,7 +40,7 @@ class TuiSnapshotTest < Minitest::Test
                                {
                                  "name" => "alpha",
                                  "path" => "/tmp/alpha",
-                                 "hive_state_path" => "/tmp/alpha/.hive-state",
+                                 "hive_state_path" => "/tmp/alpha/.hive",
                                  "tasks" => [
                                    sample_task(slug: "first-task"),
                                    sample_task(slug: "second-task", stage: "2-brainstorm", marker: "complete")
@@ -93,7 +93,7 @@ class TuiSnapshotTest < Minitest::Test
                                {
                                  "name" => "broken",
                                  "path" => "/nonexistent",
-                                 "hive_state_path" => "/nonexistent/.hive-state",
+                                 "hive_state_path" => "/nonexistent/.hive",
                                  "error" => "missing_project_path",
                                  "tasks" => []
                                }
@@ -111,7 +111,7 @@ class TuiSnapshotTest < Minitest::Test
                                {
                                  "name" => "alpha",
                                  "path" => "/tmp/alpha",
-                                 "hive_state_path" => "/tmp/alpha/.hive-state",
+                                 "hive_state_path" => "/tmp/alpha/.hive",
                                  "tasks" => [
                                    sample_task(slug: "auth-fix"),
                                    sample_task(slug: "cache-bug"),
@@ -140,7 +140,7 @@ class TuiSnapshotTest < Minitest::Test
                                {
                                  "name" => "alpha",
                                  "path" => "/tmp/alpha",
-                                 "hive_state_path" => "/tmp/alpha/.hive-state",
+                                 "hive_state_path" => "/tmp/alpha/.hive",
                                  "tasks" => [ sample_task(slug: "no-match") ]
                                }
                              ])
@@ -153,8 +153,8 @@ class TuiSnapshotTest < Minitest::Test
 
   def test_scope_to_project_index_zero_returns_self
     payload = sample_payload([
-                               { "name" => "a", "path" => "/a", "hive_state_path" => "/a/.hive-state", "tasks" => [] },
-                               { "name" => "b", "path" => "/b", "hive_state_path" => "/b/.hive-state", "tasks" => [] }
+                               { "name" => "a", "path" => "/a", "hive_state_path" => "/a/.hive", "tasks" => [] },
+                               { "name" => "b", "path" => "/b", "hive_state_path" => "/b/.hive", "tasks" => [] }
                              ])
     snapshot = Hive::Tui::Snapshot.from_payload(payload)
     assert_same snapshot, snapshot.scope_to_project_index(0)
@@ -162,9 +162,9 @@ class TuiSnapshotTest < Minitest::Test
 
   def test_scope_to_project_index_one_returns_first_project
     payload = sample_payload([
-                               { "name" => "a", "path" => "/a", "hive_state_path" => "/a/.hive-state",
+                               { "name" => "a", "path" => "/a", "hive_state_path" => "/a/.hive",
                                  "tasks" => [ sample_task(slug: "t1") ] },
-                               { "name" => "b", "path" => "/b", "hive_state_path" => "/b/.hive-state", "tasks" => [] }
+                               { "name" => "b", "path" => "/b", "hive_state_path" => "/b/.hive", "tasks" => [] }
                              ])
     snapshot = Hive::Tui::Snapshot.from_payload(payload)
     scoped = snapshot.scope_to_project_index(1)
@@ -174,7 +174,7 @@ class TuiSnapshotTest < Minitest::Test
 
   def test_scope_to_project_index_out_of_range_returns_empty_projects
     payload = sample_payload([
-                               { "name" => "a", "path" => "/a", "hive_state_path" => "/a/.hive-state", "tasks" => [] }
+                               { "name" => "a", "path" => "/a", "hive_state_path" => "/a/.hive", "tasks" => [] }
                              ])
     snapshot = Hive::Tui::Snapshot.from_payload(payload)
     scoped = snapshot.scope_to_project_index(99)
@@ -183,7 +183,7 @@ class TuiSnapshotTest < Minitest::Test
 
   def test_row_at_returns_row_for_valid_cursor
     payload = sample_payload([
-                               { "name" => "a", "path" => "/a", "hive_state_path" => "/a/.hive-state",
+                               { "name" => "a", "path" => "/a", "hive_state_path" => "/a/.hive",
                                  "tasks" => [ sample_task(slug: "only-task") ] }
                              ])
     snapshot = Hive::Tui::Snapshot.from_payload(payload)
@@ -194,7 +194,7 @@ class TuiSnapshotTest < Minitest::Test
 
   def test_row_at_returns_nil_for_out_of_range_row_index
     payload = sample_payload([
-                               { "name" => "a", "path" => "/a", "hive_state_path" => "/a/.hive-state",
+                               { "name" => "a", "path" => "/a", "hive_state_path" => "/a/.hive",
                                  "tasks" => [ sample_task(slug: "only-task") ] }
                              ])
     snapshot = Hive::Tui::Snapshot.from_payload(payload)
@@ -203,7 +203,7 @@ class TuiSnapshotTest < Minitest::Test
 
   def test_row_at_returns_nil_for_out_of_range_project_index
     payload = sample_payload([
-                               { "name" => "a", "path" => "/a", "hive_state_path" => "/a/.hive-state",
+                               { "name" => "a", "path" => "/a", "hive_state_path" => "/a/.hive",
                                  "tasks" => [ sample_task(slug: "only-task") ] }
                              ])
     snapshot = Hive::Tui::Snapshot.from_payload(payload)
@@ -236,7 +236,7 @@ class TuiSnapshotTest < Minitest::Test
                                {
                                  "name" => "alpha",
                                  "path" => "/tmp/alpha",
-                                 "hive_state_path" => "/tmp/alpha/.hive-state",
+                                 "hive_state_path" => "/tmp/alpha/.hive",
                                  # Deliberately NOT in ACTION_LABEL_ORDER sequence:
                                  "tasks" => [ review, brainstorm, needs_input ]
                                }
@@ -260,7 +260,7 @@ class TuiSnapshotTest < Minitest::Test
                                {
                                  "name" => "alpha",
                                  "path" => "/tmp/alpha",
-                                 "hive_state_path" => "/tmp/alpha/.hive-state",
+                                 "hive_state_path" => "/tmp/alpha/.hive",
                                  "tasks" => [ first, second ]
                                }
                              ])
@@ -283,7 +283,7 @@ class TuiSnapshotTest < Minitest::Test
                                {
                                  "name" => "alpha",
                                  "path" => "/tmp/alpha",
-                                 "hive_state_path" => "/tmp/alpha/.hive-state",
+                                 "hive_state_path" => "/tmp/alpha/.hive",
                                  "tasks" => [],
                                  "legacy_stage_dirs" => legacy_entries,
                                  "legacy_migrate_command" => "hive migrate"
@@ -306,7 +306,7 @@ class TuiSnapshotTest < Minitest::Test
                                {
                                  "name" => "alpha",
                                  "path" => "/tmp/alpha",
-                                 "hive_state_path" => "/tmp/alpha/.hive-state",
+                                 "hive_state_path" => "/tmp/alpha/.hive",
                                  "tasks" => []
                                  # no legacy_stage_dirs / legacy_migrate_command keys
                                }
@@ -333,7 +333,7 @@ class TuiSnapshotTest < Minitest::Test
                                {
                                  "name" => "alpha",
                                  "path" => "/tmp/alpha",
-                                 "hive_state_path" => "/tmp/alpha/.hive-state",
+                                 "hive_state_path" => "/tmp/alpha/.hive",
                                  # Unknown labels appear FIRST in JSON order; they must end up LAST.
                                  "tasks" => [ unknown_one, unknown_two, known ]
                                }
diff --git a/test/unit/tui/triage_state_test.rb b/test/unit/tui/triage_state_test.rb
index 6b76031..a1ee954 100644
--- a/test/unit/tui/triage_state_test.rb
+++ b/test/unit/tui/triage_state_test.rb
@@ -28,7 +28,7 @@ class TuiTriageStateTest < Minitest::Test
   # `Hive::TaskResolver` short-circuits via its `path_target?` branch.
   # Slug-only targets raise `AmbiguousSlug` under multi-project /
   # multi-stage state, which the TUI can hit from any concrete row.
-  FOLDER = "/abs/.hive-state/stages/4-execute/fix-auth".freeze
+  FOLDER = "/abs/.hive/stages/4-execute/fix-auth".freeze
 
   def test_toggle_command_for_accepted_finding_returns_reject_argv
     f = make_finding(id: 3, accepted: true)
diff --git a/test/unit/worktree_test.rb b/test/unit/worktree_test.rb
index aec9861..06bb11f 100644
--- a/test/unit/worktree_test.rb
+++ b/test/unit/worktree_test.rb
@@ -26,8 +26,8 @@ class WorktreeTest < Minitest::Test
       assert wt.exists?
       branch = `git -C #{wt.path} branch --show-current`.strip
       assert_equal "feat-x", branch
-      refute File.directory?(File.join(wt.path, ".hive-state")),
-             ".hive-state must not appear in feature worktree (master gitignores it)"
+      refute File.directory?(File.join(wt.path, ".hive")),
+             ".hive must not appear in feature worktree (master gitignores it)"
     end
   end
 
